summaryrefslogtreecommitdiffstats
path: root/audio/mpd
diff options
context:
space:
mode:
author Andrew Brouwers2010-05-13 00:21:45 +0200
committer Erik Hanson2010-05-13 00:21:45 +0200
commit76c59e72ae2848065908818f52cfb6b192dc2adf (patch)
tree3f750886108a0526da77aca622e0c8c64e480de5 /audio/mpd
parentf83b05207eec77737df63f47f24023adb8a999b0 (diff)
downloadslackbuilds-76c59e72ae2848065908818f52cfb6b192dc2adf.tar.gz
audio/mpd: Updated for version 0.15.8
Diffstat (limited to 'audio/mpd')
-rw-r--r--audio/mpd/README7
-rw-r--r--audio/mpd/doinst.sh2
-rw-r--r--audio/mpd/mpd.SlackBuild18
-rw-r--r--audio/mpd/mpd.info10
4 files changed, 24 insertions, 13 deletions
diff --git a/audio/mpd/README b/audio/mpd/README
index 2ad0902c43..df3bc5b9d7 100644
--- a/audio/mpd/README
+++ b/audio/mpd/README
@@ -5,8 +5,11 @@ provides control for music playback over a local network. It also makes
a great desktop music player, especially if you are a console junkie,
like frontend options, or restart X often.
-NOTE: You will have to create a directory manually, ~/.mpd/playlists.
-Also, be sure to edit the config file (/etc/mpd.conf), if needed, before
+Some optional dependencies include libshout, libmms, libsamplerate,
+libmpcdec, lame, faac, faad2, ffmpeg, and jack.
+
+NOTE: You will have to create the ~/.mpd/playlists directory manually.
+Also be sure to edit the config file (/etc/mpd.conf) if needed before
running the daemon.
If save status isn't working properly when killing, try "killall -TERM mpd",
diff --git a/audio/mpd/doinst.sh b/audio/mpd/doinst.sh
index 569f1a04a1..21d747d77b 100644
--- a/audio/mpd/doinst.sh
+++ b/audio/mpd/doinst.sh
@@ -10,5 +10,5 @@ config() {
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
-
config etc/mpd.conf.new
+
diff --git a/audio/mpd/mpd.SlackBuild b/audio/mpd/mpd.SlackBuild
index ce89100dcd..46c7fb0f97 100644
--- a/audio/mpd/mpd.SlackBuild
+++ b/audio/mpd/mpd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for mpd
-# Copyright 2008 Andrew Brouwers <abrouwers@gmail.com>
+# Copyright 2008, 2009 Andrew Brouwers <abrouwers@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mpd
-VERSION=0.14.2
+VERSION=0.15.8
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG=_SBo}
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -56,6 +59,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
@@ -64,7 +68,7 @@ make
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Use sample config, without overwriting
install -D -m 644 doc/mpdconf.example $PKG/etc/mpd.conf.new
@@ -74,9 +78,11 @@ install -D -m 644 doc/mpdconf.example $PKG/etc/mpd.conf.new
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mpd/mpd.info b/audio/mpd/mpd.info
index 9f92581768..4e5d64eeea 100644
--- a/audio/mpd/mpd.info
+++ b/audio/mpd/mpd.info
@@ -1,8 +1,10 @@
PRGNAM="mpd"
-VERSION="0.14.2"
+VERSION="0.15.8"
HOMEPAGE="http://www.musicpd.org/"
-DOWNLOAD="http://downloads.sourceforge.net/musicpd/mpd-0.14.2.tar.bz2"
-MD5SUM="66817a4b4c05454e6488f6b821f2a6a3"
+DOWNLOAD="http://downloads.sourceforge.net/musicpd/mpd-0.15.8.tar.bz2"
+MD5SUM="824e1ce46c0f468865d9e5e403cdaf5d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Andrew Brouwers"
EMAIL="abrouwers@gmail.com"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"